org.eclipse.rdf4j.http.protocol.error

## Class ErrorType

- java.lang.Object
- - org.eclipse.rdf4j.http.protocol.error.ErrorType

-     public class ErrorType
      extends Object

  Author:
    Arjohn Kampman

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ErrorType` | `MALFORMED_DATA`
    `static ErrorType` | `MALFORMED_QUERY`
    `static ErrorType` | `REPOSITORY_EXISTS`
    `static ErrorType` | `UNSUPPORTED_FILE_FORMAT`
    `static ErrorType` | `UNSUPPORTED_QUERY_LANGUAGE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `static ErrorType` | `forLabel(String label)`
    `String` | `getLabel()`
    `int` | `hashCode()`
    `protected static ErrorType` | `register(String label)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MALFORMED_QUERY

          public static final ErrorType MALFORMED_QUERY

    - #### MALFORMED_DATA

          public static final ErrorType MALFORMED_DATA

    - #### UNSUPPORTED_QUERY_LANGUAGE

          public static final ErrorType UNSUPPORTED_QUERY_LANGUAGE

    - #### UNSUPPORTED_FILE_FORMAT

          public static final ErrorType UNSUPPORTED_FILE_FORMAT

    - #### REPOSITORY_EXISTS

          public static final ErrorType REPOSITORY_EXISTS

  - ### Method Detail

    - #### register

          protected static ErrorType register(String label)

    - #### forLabel

          public static ErrorType forLabel(String label)

    - #### getLabel

          public String getLabel()

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.